//Maya ASCII 2024 scene
//Name: roommap.ma
//Last modified: Wed, Jun 05, 2024 11:23:24 AM
//Codeset: 932
requires maya "2024";
requires -nodeType "aiOptions" -nodeType "aiAOVDriver" -nodeType "aiAOVFilter" -nodeType "aiSkyDomeLight"
		 "mtoa" "5.3.1.1";
requires -nodeType "mayaUsdLayerManager" -nodeType "mayaUsdProxyShape" -dataType "pxrUsdStageData"
		 "mayaUsdPlugin" "0.23.1";
currentUnit -l centimeter -a degree -t film;
fileInfo "application" "maya";
fileInfo "product" "Maya 2024";
fileInfo "version" "2024";
fileInfo "cutIdentifier" "202304191415-7fa20164c6";
fileInfo "osv" "Windows 10 Pro v2009 (Build: 19045)";
fileInfo "UUID" "DE0C9DF0-410E-7113-F183-3DAA5500A92F";
createNode transform -s -n "persp";
	rename -uid "52C38D4C-48C0-D1D3-F30B-69AD679E082D";
	setAttr ".v" no;
	setAttr ".t" -type "double3" 28 21 28 ;
	setAttr ".r" -type "double3" -27.938352729602379 44.999999999999972 -5.172681101354183e-14 ;
createNode camera -s -n "perspShape" -p "persp";
	rename -uid "F3098E08-42D9-7F05-C84B-B7BF3B5285DE";
	setAttr -k off ".v" no;
	setAttr ".fl" 34.999999999999993;
	setAttr ".coi" 44.82186966202994;
	setAttr ".imn" -type "string" "persp";
	setAttr ".den" -type "string" "persp_depth";
	setAttr ".man" -type "string" "persp_mask";
	setAttr ".hc" -type "string" "viewSet -p %camera";
createNode transform -s -n "top";
	rename -uid "EE7AB7EC-4F79-C38A-28F8-03A47706B697";
	setAttr ".v" no;
	setAttr ".t" -type "double3" 0 1000.1 0 ;
	setAttr ".r" -type "double3" -90 0 0 ;
createNode camera -s -n "topShape" -p "top";
	rename -uid "008FBF99-4DF4-7301-C37A-5189AB7852A1";
	setAttr -k off ".v" no;
	setAttr ".rnd" no;
	setAttr ".coi" 1000.1;
	setAttr ".ow" 30;
	setAttr ".imn" -type "string" "top";
	setAttr ".den" -type "string" "top_depth";
	setAttr ".man" -type "string" "top_mask";
	setAttr ".hc" -type "string" "viewSet -t %camera";
	setAttr ".o" yes;
	setAttr ".ai_translator" -type "string" "orthographic";
createNode transform -s -n "front";
	rename -uid "86FC450A-4C0A-A9EC-8A3C-70881CF95988";
	setAttr ".v" no;
	setAttr ".t" -type "double3" 0 0 1000.1 ;
createNode camera -s -n "frontShape" -p "front";
	rename -uid "F2DAF736-40E6-5303-D68F-78B03FB9F651";
	setAttr -k off ".v" no;
	setAttr ".rnd" no;
	setAttr ".coi" 1000.1;
	setAttr ".ow" 30;
	setAttr ".imn" -type "string" "front";
	setAttr ".den" -type "string" "front_depth";
	setAttr ".man" -type "string" "front_mask";
	setAttr ".hc" -type "string" "viewSet -f %camera";
	setAttr ".o" yes;
	setAttr ".ai_translator" -type "string" "orthographic";
createNode transform -s -n "side";
	rename -uid "5FD3EF1C-491F-7CCC-2474-B7BD5BBC68D9";
	setAttr ".v" no;
	setAttr ".t" -type "double3" 1000.1 0 0 ;
	setAttr ".r" -type "double3" 0 90 0 ;
createNode camera -s -n "sideShape" -p "side";
	rename -uid "EB0E7824-4070-4B29-D18F-A592626F9529";
	setAttr -k off ".v" no;
	setAttr ".rnd" no;
	setAttr ".coi" 1000.1;
	setAttr ".ow" 30;
	setAttr ".imn" -type "string" "side";
	setAttr ".den" -type "string" "side_depth";
	setAttr ".man" -type "string" "side_mask";
	setAttr ".hc" -type "string" "viewSet -s %camera";
	setAttr ".o" yes;
	setAttr ".ai_translator" -type "string" "orthographic";
createNode transform -n "roommap";
	rename -uid "6159C52F-4CD5-8082-626C-CB86A67006F6";
createNode mayaUsdProxyShape -n "roommapShape" -p "roommap";
	rename -uid "DB95944A-413C-B162-166F-7BB337016A9D";
	addAttr -r false -ci true -h true -sn "forceCompute" -ln "forceCompute" -min 0 
		-max 1 -at "bool";
	addAttr -ci true -m -ws true -sn "AP__sopcreate1" -ln "AP__sopcreate1" -nn "/sopcreate1" 
		-dt "matrix";
	addAttr -ci true -h true -sn "usdStageLoadRules" -ln "usdStageLoadRules" -dt "string";
	addAttr -ci true -h true -sn "usdStageTargetLayer" -ln "usdStageTargetLayer" -dt "string";
	setAttr -k off ".v";
	setAttr ".covm[0]"  0 1 1;
	setAttr ".cdvm[0]"  0 1 1;
	setAttr ".fp" -type "string" "C:/Users/hirose_m/Desktop/roommap.usda";
	setAttr ".pp" -type "string" "";
	setAttr ".epp" -type "string" "";
	setAttr ".oslid" -type "string" "anon:0000022F5499FA10:roommap-session.usda";
	setAttr ".orlid" -type "string" "c:/Users/hirose_m/Desktop/roommap.usda";
	setAttr ".forceCompute" yes;
	setAttr ".AP__sopcreate1[0]" -type "matrix" 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1;
	setAttr ".usdStageLoadRules" -type "string" "";
	setAttr ".usdStageTargetLayer" -type "string" "c:/Users/hirose_m/Desktop/roommap.usda";
createNode transform -n "aiSkyDomeLight1";
	rename -uid "D2C5924D-4A3A-8BE1-5218-ACB8BED032E4";
createNode aiSkyDomeLight -n "aiSkyDomeLightShape1" -p "aiSkyDomeLight1";
	rename -uid "3F7B352C-4276-A9B6-7731-ED8E75C1AA36";
	addAttr -ci true -h true -sn "aal" -ln "attributeAliasList" -dt "attributeAlias";
	setAttr -k off ".v";
	setAttr ".csh" no;
	setAttr ".rcsh" no;
	setAttr ".aal" -type "attributeAlias" {"exposure","aiExposure"} ;
createNode lightLinker -s -n "lightLinker1";
	rename -uid "96EA0B56-4296-9F44-9503-68A771023812";
	setAttr -s 4 ".lnk";
	setAttr -s 4 ".slnk";
createNode shapeEditorManager -n "shapeEditorManager";
	rename -uid "B6BE3DDC-499E-9F87-630E-468F26C373C7";
createNode poseInterpolatorManager -n "poseInterpolatorManager";
	rename -uid "92A1A570-4D84-6FAE-4E35-C2BFE9E3CFAF";
createNode displayLayerManager -n "layerManager";
	rename -uid "A281D4BB-4248-C995-4382-40A0E487CD01";
createNode displayLayer -n "defaultLayer";
	rename -uid "D482F763-4673-5C3E-28EC-BE9E8CC41E07";
	setAttr ".ufem" -type "stringArray" 0  ;
createNode renderLayerManager -n "renderLayerManager";
	rename -uid "7F166ED5-4BA3-64EC-0425-3F97CAF1B52D";
createNode renderLayer -n "defaultRenderLayer";
	rename -uid "F02C10A8-4E4C-4A8F-8D6D-0982CBA6E458";
	setAttr ".g" yes;
createNode aiOptions -s -n "defaultArnoldRenderOptions";
	rename -uid "62B96138-4F90-077E-307D-8EA5898C4FD7";
	setAttr ".version" -type "string" "5.3.0";
createNode aiAOVFilter -s -n "defaultArnoldFilter";
	rename -uid "30BE5623-46F1-7DC2-710B-DEB82046519F";
	setAttr ".ai_translator" -type "string" "gaussian";
createNode aiAOVDriver -s -n "defaultArnoldDriver";
	rename -uid "84FF6F56-4691-660F-E81A-B18D480C9CDF";
	setAttr ".ai_translator" -type "string" "exr";
createNode aiAOVDriver -s -n "defaultArnoldDisplayDriver";
	rename -uid "3E41C363-41F3-F63E-C32A-B1A09D44B33A";
	setAttr ".output_mode" 0;
	setAttr ".ai_translator" -type "string" "maya";
createNode standardSurface -n "mtlxstandard_surface1";
	rename -uid "29B4039C-40FB-2F86-767E-42AD9B8281B6";
	setAttr ".s" 0;
createNode file -n "basecolor";
	rename -uid "18D05051-434F-D2E3-25CF-8DAC3427F22F";
	setAttr ".ftn" -type "string" "c:/Users/hirose_m/Desktop/roommap.png";
	setAttr ".cs" -type "string" "sRGB";
createNode place2dTexture -n "place2dTexture";
	rename -uid "5A3C2544-49E0-185F-B3C9-8FB86D94A80C";
createNode shadingEngine -n "mtlxsurfacematerial1";
	rename -uid "046AF8F6-44CA-AB9F-4F4D-748A5DF419CD";
	setAttr ".ihi" 0;
	setAttr ".ro" yes;
createNode materialInfo -n "materialInfo1";
	rename -uid "97898BFD-4210-6298-92A8-8B80B359BCBA";
createNode place2dTexture -n "place2dTexture1";
	rename -uid "4ECE62DE-46B0-7672-AD84-23BB1097C37A";
createNode standardSurface -n "mtlxstandard_surface2";
	rename -uid "33AFB0DE-4CDC-B090-E64A-64BEE809BAC7";
	setAttr ".s" 0;
createNode file -n "basecolor1";
	rename -uid "69698EC4-4DFC-B434-3A0E-C4A4DE8D556E";
	setAttr ".ftn" -type "string" "c:/Users/hirose_m/Desktop/roommap.png";
	setAttr ".cs" -type "string" "sRGB";
createNode place2dTexture -n "place2dTexture2";
	rename -uid "EBFCB67A-4A49-C3F3-9883-CEA507231596";
createNode shadingEngine -n "mtlxsurfacematerial2";
	rename -uid "00208A0A-43F4-3EF8-4443-E2960F2EF6F4";
	setAttr ".ihi" 0;
	setAttr ".ro" yes;
createNode materialInfo -n "materialInfo2";
	rename -uid "1605F7AF-4692-61D1-09EC-5288E221CA15";
createNode script -n "sceneConfigurationScriptNode";
	rename -uid "3504C3CB-4F87-82B3-EB3B-CEABEB9AC6A5";
	setAttr ".b" -type "string" "playbackOptions -min 1.25 -max 146.75 -ast 1.25 -aet 250 ";
	setAttr ".st" 6;
createNode mayaUsdLayerManager -n "mayaUsdLayerManager1";
	rename -uid "89FC68AC-495B-C0D5-3982-C3928F72DE2C";
	setAttr -s 2 ".lyr";
	setAttr ".lyr[0].id" -type "string" "anon:0000022F5499FA10:roommap-session.usda";
	setAttr ".lyr[0].fid" -type "string" "usda";
	setAttr ".lyr[0].szd" -type "string" "";
	setAttr ".lyr[0].ann" yes;
	setAttr ".lyr[1].id" -type "string" "c:/Users/hirose_m/Desktop/roommap.usda";
	setAttr ".lyr[1].fid" -type "string" "usda";
	setAttr ".lyr[1].szd" -type "string" (
		"#usda 1.0\n(\n    defaultPrim = \"sopcreate1\"\n    endTimeCode = 1\n    framesPerSecond = 24\n    metersPerUnit = 1\n    startTimeCode = 1\n    timeCodesPerSecond = 24\n    upAxis = \"Y\"\n)\n\ndef Xform \"sopcreate1\" (\n    prepend apiSchemas = [\"MaterialBindingAPI\"]\n    kind = \"component\"\n)\n{\n    rel material:binding = </materials/mtlxsurfacematerial1>\n    matrix4d xformOp:transform:xform = ( (1, 0, 0, 0), (0, 1, 0, 0), (0, 0, 1, 0), (0, 0, 0, 1) )\n    uniform token[] xformOpOrder = [\"xformOp:transform:xform\"]\n\n    def Mesh \"mesh_0\" (\n        prepend apiSchemas = [\"MaterialBindingAPI\"]\n    )\n    {\n        float3[] extent = [(-3, -3, -3), (3, 3, 3)]\n        int[] faceVertexCounts = [4, 4, 4, 4, 4, 4]\n        int[] faceVertexIndices = [1, 5, 4, 0, 2, 6, 5, 1, 3, 7, 6, 2, 0, 4, 7, 3, 2, 1, 0, 3, 5, 6, 7, 4]\n        rel material:binding = </materials/mtlxsurfacematerial1>\n        normal3f[] normals = [(-0, -0, -1), (-0, 0, -1), (-0, -0, -1), (0, -0, -1), (1, -0, -0), (1, -0, -0), (1, 0, 0), (1, -0, -0), (-0, -0, 1), (-0, -0, 1), (-0, -0, 1), (0, 0, 1), (-1, 0, -0), (-1, -0, -0), (-1, -0, 0), (-1, -0, -0), (0, -1, -0), (-0, -1, -0), (-0, -1, 0), (-0, -1, -0), (-0, 1, -0), (-0, 1, -0), (0, 1, 0), (-0, 1, -0)] (\n"
		+ "            interpolation = \"faceVarying\"\n        )\n        uniform token orientation = \"leftHanded\"\n        point3f[] points = [(-3, -3, -3), (3, -3, -3), (3, -3, 3), (-3, -3, 3), (-3, 3, -3), (3, 3, -3), (3, 3, 3), (-3, 3, 3)] (\n            interpolation = \"vertex\"\n        )\n        texCoord2f[] primvars:st = [(-3.0000002, -3), (-3.0000002, 3), (2.9999998, 3), (2.9999998, -3), (-3.0000002, -2.9999998), (-3.0000002, 2.9999998), (2.9999998, 2.9999998), (2.9999998, -2.9999998), (-3, -3), (-3, 3), (3, 3), (3, -3), (-2.9999998, -2.9999998), (-2.9999998, 2.9999998), (3.0000002, 2.9999998), (3.0000002, -2.9999998), (2.9999998, 3.0000002), (2.9999998, -2.9999998), (-2.9999998, -2.9999998), (-2.9999998, 3.0000002), (2.9999998, 2.9999998), (2.9999998, -3.0000002), (-2.9999998, -3.0000002), (-2.9999998, 2.9999998)] (\n            interpolation = \"faceVarying\"\n        )\n        int[] primvars:st:indices = None\n        vector3f[] primvars:tangentu = [(-1, 0, 0), (-1, 0, 0), (-1, 0, 0), (-1, 0, 0), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0)] (\n"
		+ "            interpolation = \"faceVarying\"\n        )\n        int[] primvars:tangentu:indices = None\n        vector3f[] primvars:tangentv = [(-0, -1, 0), (-0, -1, -0), (-0, -1, 0), (-0, -1, -0), (-0, -1, -0), (-0, -1, -0), (0, -1, -0), (-0, -1, -0), (0, -1, -0), (0, -1, -0), (0, -1, -0), (-0, -1, -0), (-0, -1, 0), (-0, -1, -0), (0, -1, -0), (-0, -1, -0), (-0, 0, -1), (-0, -0, -1), (0, -0, -1), (-0, -0, -1), (-0, -0, 1), (-0, -0, 1), (-0, -0, 1), (-0, -0, 1)] (\n            interpolation = \"faceVarying\"\n        )\n        int[] primvars:tangentv:indices = None\n        uniform token subdivisionScheme = \"none\"\n    }\n}\n\ndef Scope \"materials\" (\n    prepend apiSchemas = [\"MaterialBindingAPI\"]\n)\n{\n    rel material:binding = </materials/mtlxsurfacematerial1>\n\n    def Material \"mtlxsurfacematerial1\" (\n        prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n    )\n    {\n        rel material:binding = </materials/mtlxsurfacematerial1>\n        token outputs:mtlx:surface.connect = </materials/mtlxsurfacematerial1/mtlxstandard_surface1.outputs:out>\n"
		+ "        token outputs:surface.connect = </materials/mtlxsurfacematerial1/mtlxstandard_surface1_preview.outputs:surface>\n        uniform float2 ui:nodegraph:node:pos = (0.055555556, 0.055555556)\n\n        def Shader \"mtlxstandard_surface1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_standard_surface_surfaceshader\"\n            float inputs:base (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 1\n                        string ogl_diff_intensity = \"1\"\n                    }\n                }\n            )\n            color3f inputs:base_color (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double3 default_value = (0.8, 0.8, 0.8)\n                        string ogl_diff = \"1\"\n                    }\n                }\n            )\n            color3f inputs:base_color.connect = </materials/mtlxsurfacematerial1/basecolor.outputs:out>\n"
		+ "            float inputs:coat (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0\n                        string ogl_coat_intensity = \"1\"\n                    }\n                }\n            )\n            float inputs:coat_roughness (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0.1\n                        string ogl_coat_rough = \"1\"\n                    }\n                }\n            )\n            float inputs:emission (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0\n                        string ogl_emit_intensity = \"1\"\n                    }\n                }\n            )\n            color3f inputs:emission_color (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double3 default_value = (1, 1, 1)\n"
		+ "                        string ogl_emit = \"1\"\n                    }\n                }\n            )\n            float inputs:metalness (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0\n                        string ogl_metallic = \"1\"\n                    }\n                }\n            )\n            vector3f inputs:normal.connect = </materials/mtlxsurfacematerial1/mtlxnormalize1.outputs:out>\n            float inputs:specular = 0 (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 1\n                        string ogl_spec_intensity = \"1\"\n                    }\n                }\n            )\n            color3f inputs:specular_color (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double3 default_value = (1, 1, 1)\n                        string ogl_spec = \"1\"\n                    }\n                }\n"
		+ "            )\n            float inputs:specular_IOR (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 1.5\n                        string ogl_ior = \"1\"\n                    }\n                }\n            )\n            float inputs:specular_roughness (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0.2\n                        string ogl_rough = \"1\"\n                    }\n                }\n            )\n            float inputs:transmission (\n                customData = {\n                    dictionary HoudiniPreviewTags = {\n                        double default_value = 0\n                        string ogl_transparency = \"1\"\n                    }\n                }\n            )\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            token outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-0.44444445, -0.10555556)\n"
		+ "        }\n\n        def Shader \"basecolor\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_image_color3\"\n            asset inputs:file = @./roommap.png@\n            float2 inputs:texcoord.connect = </materials/mtlxsurfacematerial1/mtlxdivide3.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            color3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-2.1388888, 0.21111111)\n        }\n\n        def Shader \"mtlxdivide3\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_divide_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/basexyz1.outputs:out>\n            float2 inputs:in2 = (3, 3)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-3.8333333, 1.7111111)\n"
		+ "        }\n\n        def Shader \"basexyz1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_switch_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/basex1.outputs:out>\n            float2 inputs:in2.connect = </materials/mtlxsurfacematerial1/basey1.outputs:out>\n            float2 inputs:in3.connect = </materials/mtlxsurfacematerial1/basez1.outputs:out>\n            float inputs:which.connect = </materials/mtlxsurfacematerial1/axis_index2.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-5.5277777, 2.5055556)\n        }\n\n        def Shader \"basex1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_switch_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvxnegoffset1.outputs:out>\n"
		+ "            float2 inputs:in2.connect = </materials/mtlxsurfacematerial1/uvxposoffset1.outputs:out>\n            float inputs:which.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v1.outputs:outx>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 1.1944444)\n        }\n\n        def Shader \"uvxnegoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvxneg1.outputs:out>\n            float2 inputs:in2 = (0, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, -0.82222223)\n        }\n\n        def Shader \"uvxneg1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n"
		+ "            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxsubtract1.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, -1.0222223)\n        }\n\n        def Shader \"mtlxsubtract1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_subtract_float\"\n            float inputs:in1 = 1\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-12.305555, -0.32777777)\n        }\n\n        def Shader \"mtlxseparate3v3\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n"
		+ "            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxsubtract2.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-14, 0.38333333)\n        }\n\n        def Shader \"mtlxsubtract2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_subtract_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxdivide2.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxfloor3.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, -0.0055555557)\n        }\n\n        def Shader \"mtlxdivide2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_divide_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd2.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/roomsize.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-19.083334, 2.4666667)\n        }\n\n        def Shader \"mtlxadd2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxmultiply5.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/ray_position1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-20.777779, 1.7111111)\n        }\n"
		+ "\n        def Shader \"mtlxmultiply5\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3FA\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalize_ray_direction1.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/min_distance2.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-22.472221, 0.81666666)\n        }\n\n        def Shader \"normalize_ray_direction1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_normalize_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxcombine2.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-44.5, 2.0833333)\n"
		+ "        }\n\n        def Shader \"mtlxcombine2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd8.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxadd10.outputs:out>\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxadd12.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-46.194443, 1.5388889)\n        }\n\n        def Shader \"mtlxadd8\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd7.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v5.outputs:outz>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-47.88889, -0.1388889)\n        }\n\n        def Shader \"mtlxadd7\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v5.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v5.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-49.583332, -1.2722223)\n        }\n\n        def Shader \"mtlxseparate3v5\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply10.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-51.27778, -0.9166667)\n        }\n\n        def Shader \"mtlxmultiply10\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/ray_direction1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxtangent1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-52.97222, -0.60555553)\n        }\n\n        def Shader \"ray_direction1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_subtract_vector3\"\n"
		+ "            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/object_position1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/campos.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-54.666668, 0.16666667)\n        }\n\n        def Shader \"object_position1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_position_vector3\"\n            string inputs:space = \"world\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-56.36111, -0.16666667)\n        }\n\n        def Shader \"campos\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_constant_vector3\"\n            vector3f inputs:value.connect = </materials/mtlxsurfacematerial1/space_transform1.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-56.36111, 0.9111111)\n        }\n\n        def NodeGraph \"kma_rayimport1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out.connect = </materials/mtlxsurfacematerial1/kma_rayimport1/karma_mtlx_ray_import.outputs:out>\n            uniform float2 ui:nodegraph:node:pos = (-58.055557, 1.0444444)\n\n            def Shader \"karma_mtlx_ray_import\" (\n                prepend apiSchemas = [\"MaterialBindingAPI\"]\n            )\n            {\n                uniform token info:id = \"ND_dot_vector3\"\n                string inputs:note = \"ray:origin\"\n                rel material:binding = </materials/mtlxsurfacematerial1>\n                vector3f outputs:out\n            }\n        }\n\n        def Shader \"mtlxtangent1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_tangent_vector3\"\n            string inputs:space = \"world\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-54.666668, 1.3833333)\n        }\n\n        def Shader \"mtlxadd10\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd9.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v6.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-47.88889, 1.0722222)\n        }\n\n        def Shader \"mtlxadd9\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n"
		+ "            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v6.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v6.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-49.583332, 0.16111112)\n        }\n\n        def Shader \"mtlxseparate3v6\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply11.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-51.27778, 0.42777777)\n        }\n\n        def Shader \"mtlxmultiply11\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/ray_direction1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxbitangent1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-52.97222, 0.60555553)\n        }\n\n        def Shader \"mtlxbitangent1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_bitangent_vector3\"\n            string inputs:space = \"world\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-54.666668, 2.6)\n        }\n\n        def Shader \"mtlxadd12\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n"
		+ "            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd11.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v7.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-47.88889, 2.288889)\n        }\n\n        def Shader \"mtlxadd11\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v7.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v7.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-49.583332, 1.6)\n        }\n\n        def Shader \"mtlxseparate3v7\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply12.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-51.27778, 1.7777778)\n        }\n\n        def Shader \"mtlxmultiply12\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/ray_direction1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxnormal1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-52.97222, 1.8222222)\n        }\n\n        def Shader \"mtlxnormal1\" (\n"
		+ "            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_normal_vector3\"\n            string inputs:space = \"world\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-54.666668, 3.8166666)\n        }\n\n        def Shader \"min_distance2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_min_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/min_distance1.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-24.166666, 0.56666666)\n        }\n\n        def Shader \"min_distance1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_min_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-25.86111, 0.45555556)\n        }\n\n        def Shader \"mtlxseparate3v2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/distance1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-27.555555, 0.7888889)\n        }\n\n        def Shader \"distance1\" (\n"
		+ "            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_divide_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxmultiply3.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxmultiply4.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-29.25, 0.43333334)\n        }\n\n        def Shader \"mtlxmultiply3\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/plane_ray_position1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/plane_normal1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n"
		+ "            uniform float2 ui:nodegraph:node:pos = (-30.944445, -0.17222223)\n        }\n\n        def Shader \"plane_ray_position1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_subtract_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/plane_position1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/ray_position1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-32.63889, 0.07777778)\n        }\n\n        def Shader \"plane_position1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd4.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/roomsize.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-34.333332, -0.06111111)\n        }\n\n        def Shader \"mtlxadd4\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxfloor4.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxmax1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-36.02778, 0.06111111)\n        }\n\n        def Shader \"mtlxfloor4\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_floor_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxdivide1.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-37.72222, -0.26666668)\n        }\n\n        def Shader \"mtlxdivide1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_divide_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/ray_position1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/roomsize.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-39.416668, -0.51111114)\n        }\n\n        def Shader \"ray_position1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxmultiply1.outputs:out>\n"
		+ "            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxadd1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-41.11111, 0.7722222)\n        }\n\n        def Shader \"mtlxmultiply1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalize_ray_direction1.outputs:out>\n            vector3f inputs:in2 = (0.0001, 0.0001, 0.0001)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-42.805557, -0.41111112)\n        }\n\n        def Shader \"mtlxadd1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxtexcoord1.outputs:out>\n"
		+ "            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/roomoffset.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-42.805557, 0.8)\n        }\n\n        def Shader \"mtlxtexcoord1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_texcoord_vector3\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-44.5, -0.07777778)\n        }\n\n        def Shader \"roomoffset\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_constant_vector3\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-44.5, 1)\n        }\n\n        def Shader \"roomsize\" (\n"
		+ "            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_constant_vector3\"\n            vector3f inputs:value = (1, 1, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-41.11111, 1.9888889)\n        }\n\n        def Shader \"mtlxmax1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_max_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxsign1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-37.72222, 2.0777779)\n        }\n\n        def Shader \"mtlxsign1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_sign_vector3\"\n"
		+ "            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/normalize_ray_direction1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-39.416668, 0.7)\n        }\n\n        def Shader \"plane_normal1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxmultiply2.outputs:out>\n            vector3f inputs:in2 = (1, 1, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-32.63889, 1.5166667)\n        }\n\n        def Shader \"mtlxmultiply2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxmax1.outputs:out>\n"
		+ "            vector3f inputs:in2 = (-2, -2, -2)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-34.333332, 1.3722222)\n        }\n\n        def Shader \"mtlxmultiply4\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalize_ray_direction1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/plane_normal1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-30.944445, 1.0444444)\n        }\n\n        def Shader \"mtlxfloor3\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_floor_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxdivide2.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-17.38889, 1.3611112)\n        }\n\n        def Shader \"uvxposoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvxpos1.outputs:out>\n            float2 inputs:in2 = (2, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 0.3888889)\n        }\n\n        def Shader \"uvxpos1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outz>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outy>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 0.18888889)\n        }\n\n        def Shader \"mtlxseparate3v1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmax1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 4.038889)\n        }\n\n        def Shader \"basey1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_switch_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvynegoffset1.outputs:out>\n            float2 inputs:in2.connect = </materials/mtlxsurfacematerial1/uvyposoffset1.outputs:out>\n"
		+ "            float inputs:which.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v1.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 2.9444444)\n        }\n\n        def Shader \"uvynegoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvyneg1.outputs:out>\n            float2 inputs:in2 = (1, 0)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 1.6055555)\n        }\n\n        def Shader \"uvyneg1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outx>\n"
		+ "            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxsubtract1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 1.4055556)\n        }\n\n        def Shader \"uvyposoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvypos1.outputs:out>\n            float2 inputs:in2 = (1, 2)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 2.8222222)\n        }\n\n        def Shader \"uvypos1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outx>\n"
		+ "            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 2.6222222)\n        }\n\n        def Shader \"basez1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_switch_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvznegoffset1.outputs:out>\n            float2 inputs:in2.connect = </materials/mtlxsurfacematerial1/uvzposoffset1.outputs:out>\n            float inputs:which.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v1.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 4.6944447)\n        }\n\n        def Shader \"uvznegoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvzneg1.outputs:out>\n            float2 inputs:in2 = (1, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 5.388889)\n        }\n\n        def Shader \"uvzneg1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 4.133333)\n        }\n\n        def Shader \"uvzposoffset1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_add_vector2\"\n            float2 inputs:in1.connect = </materials/mtlxsurfacematerial1/uvzpos1.outputs:out>\n            float2 inputs:in2 = (1, 1)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 6.6055555)\n        }\n\n        def Shader \"uvzpos1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine2_vector2\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxsubtract3.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 5.35)\n        }\n\n        def Shader \"mtlxsubtract3\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_subtract_float\"\n            float inputs:in1 = 1\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v3.outputs:outx>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-12.305555, 2.3166666)\n        }\n\n        def Shader \"axis_index2\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_ifgreater_float\"\n            float inputs:in1 = 2\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/axis_index1.outputs:out>\n            float inputs:value1.connect = </materials/mtlxsurfacematerial1/min_distance1.outputs:out>\n            float inputs:value2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 9.533334)\n"
		+ "        }\n\n        def Shader \"axis_index1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_ifgreater_float\"\n            float inputs:in1 = 1\n            float inputs:value1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outx>\n            float inputs:value2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v2.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-17.38889, 7.7555556)\n        }\n\n        def Shader \"mtlxnormalize1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_normalize_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxadd19.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-2.1388888, 2.4944444)\n"
		+ "        }\n\n        def Shader \"mtlxadd19\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxcombine7.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxmultiply16.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-3.8333333, 4.3055553)\n        }\n\n        def Shader \"mtlxcombine7\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd14.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxadd16.outputs:out>\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxadd18.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-5.5277777, 6.072222)\n        }\n\n        def Shader \"mtlxadd14\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd13.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v11.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 6.9166665)\n        }\n\n        def Shader \"mtlxadd13\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v11.outputs:outx>\n"
		+ "            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v11.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 7.822222)\n        }\n\n        def Shader \"mtlxseparate3v11\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply13.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 6.5666666)\n        }\n\n        def Shader \"mtlxmultiply13\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalxyz1.outputs:out>\n"
		+ "            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxcombine4.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-12.305555, 5.2388887)\n        }\n\n        def Shader \"normalxyz1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_switch_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalx1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/normaly1.outputs:out>\n            vector3f inputs:in3.connect = </materials/mtlxsurfacematerial1/normalz1.outputs:out>\n            float inputs:which.connect = </materials/mtlxsurfacematerial1/axis_index2.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-14, 5.383333)\n"
		+ "        }\n\n        def Shader \"normalx1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v4.outputs:outx>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 1.2111111)\n        }\n\n        def Shader \"mtlxseparate3v4\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/plane_normal1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-17.38889, 2.4444444)\n        }\n"
		+ "\n        def Shader \"normaly1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v4.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 2.5611112)\n        }\n\n        def Shader \"normalz1\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v4.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 3.911111)\n        }\n\n        def Shader \"mtlxcombine4\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v8.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v9.outputs:outx>\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v10.outputs:outx>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-14, 4.0333333)\n        }\n\n        def Shader \"mtlxseparate3v8\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxtangent1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 5.2611113)\n"
		+ "        }\n\n        def Shader \"mtlxseparate3v9\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxbitangent1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 6.611111)\n        }\n\n        def Shader \"mtlxseparate3v10\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxnormal1.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-15.694445, 7.961111)\n"
		+ "        }\n\n        def Shader \"mtlxadd16\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd15.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v12.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 8.133333)\n        }\n\n        def Shader \"mtlxadd15\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v12.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v12.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n"
		+ "            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 9.261111)\n        }\n\n        def Shader \"mtlxseparate3v12\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply14.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 7.9166665)\n        }\n\n        def Shader \"mtlxmultiply14\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalxyz1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxcombine5.outputs:out>\n"
		+ "            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-12.305555, 6.4555554)\n        }\n\n        def Shader \"mtlxcombine5\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v8.outputs:outy>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v9.outputs:outy>\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v10.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-14, 7.133333)\n        }\n\n        def Shader \"mtlxadd18\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n"
		+ "            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxadd17.outputs:out>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v13.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-7.2222223, 9.35)\n        }\n\n        def Shader \"mtlxadd17\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_add_float\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v13.outputs:outx>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v13.outputs:outy>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-8.916667, 10.7)\n        }\n\n        def Shader \"mtlxseparate3v13\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "        )\n        {\n            uniform token info:id = \"ND_separate3_vector3\"\n            vector3f inputs:in.connect = </materials/mtlxsurfacematerial1/mtlxmultiply15.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float outputs:outx\n            float outputs:outy\n            float outputs:outz\n            uniform float2 ui:nodegraph:node:pos = (-10.611111, 9.266666)\n        }\n\n        def Shader \"mtlxmultiply15\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/normalxyz1.outputs:out>\n            vector3f inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxcombine6.outputs:out>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-12.305555, 7.672222)\n        }\n\n        def Shader \"mtlxcombine6\" (\n"
		+ "            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_combine3_vector3\"\n            float inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v8.outputs:outz>\n            float inputs:in2.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v9.outputs:outz>\n            float inputs:in3.connect = </materials/mtlxsurfacematerial1/mtlxseparate3v10.outputs:outz>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-14, 8.483334)\n        }\n\n        def Shader \"mtlxmultiply16\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"ND_multiply_vector3\"\n            vector3f inputs:in1.connect = </materials/mtlxsurfacematerial1/mtlxnormal1.outputs:out>\n            vector3f inputs:in2 = (0.0001, 0.0001, 0.0001)\n            rel material:binding = </materials/mtlxsurfacematerial1>\n"
		+ "            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-5.5277777, 7.422222)\n        }\n\n        def Shader \"mtlxstandard_surface1_preview\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n            customData = {\n                bool HoudiniIsAutoCreatedShader = 1\n            }\n        )\n        {\n            uniform token info:id = \"UsdPreviewSurface\"\n            float inputs:clearcoatRoughness = 0.1\n            color3f inputs:diffuseColor = (0.8, 0.8, 0.8)\n            color3f inputs:diffuseColor.connect = </materials/mtlxsurfacematerial1/mtlxstandard_surface1_preview_texture_diffuseColor.outputs:rgb>\n            float inputs:roughness = 0.2\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            token outputs:surface\n            uniform float2 ui:nodegraph:node:pos = (-0.44444445, 2.038889)\n        }\n\n        def Shader \"mtlxstandard_surface1_preview_uv\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n"
		+ "            customData = {\n                bool HoudiniIsAutoCreatedShader = 1\n            }\n        )\n        {\n            uniform token info:id = \"UsdPrimvarReader_float2\"\n            float2 inputs:fallback = (0, 0)\n            token inputs:varname = \"st\"\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            float2 outputs:result\n            uniform float2 ui:nodegraph:node:pos = (-3.8333333, 5.522222)\n        }\n\n        def Shader \"mtlxstandard_surface1_preview_texture_diffuseColor\" (\n            prepend apiSchemas = [\"MaterialBindingAPI\", \"NodeGraphNodeAPI\"]\n            customData = {\n                bool HoudiniIsAutoCreatedShader = 1\n            }\n        )\n        {\n            uniform token info:id = \"UsdUVTexture\"\n            asset inputs:file = @./roommap.png@\n            float2 inputs:st.connect = </materials/mtlxsurfacematerial1/mtlxstandard_surface1_preview_uv.outputs:result>\n            rel material:binding = </materials/mtlxsurfacematerial1>\n            color3f outputs:rgb\n"
		+ "            uniform float2 ui:nodegraph:node:pos = (-2.1388888, 3.5777779)\n        }\n\n        def Shader \"space_transform1\" (\n            prepend apiSchemas = [\"NodeGraphNodeAPI\"]\n        )\n        {\n            uniform token info:id = \"arnold:space_transform\"\n            string inputs:from = \"camera\"\n            vector3f outputs:out\n            uniform float2 ui:nodegraph:node:pos = (-58.07, 2.2328222)\n        }\n    }\n}\n\n");
select -ne :time1;
	setAttr ".o" 1.25;
	setAttr ".unw" 1.25;
select -ne :hardwareRenderingGlobals;
	setAttr ".otfna" -type "stringArray" 22 "NURBS Curves" "NURBS Surfaces" "Polygons" "Subdiv Surface" "Particles" "Particle Instance" "Fluids" "Strokes" "Image Planes" "UI" "Lights" "Cameras" "Locators" "Joints" "IK Handles" "Deformers" "Motion Trails" "Components" "Hair Systems" "Follicles" "Misc. UI" "Ornaments"  ;
	setAttr ".otfva" -type "Int32Array" 22 0 1 1 1 1 1
		 1 1 1 0 0 0 0 0 0 0 0 0
		 0 0 0 0 ;
	setAttr ".rtfm" 1;
select -ne :renderPartition;
	setAttr -s 4 ".st";
select -ne :renderGlobalsList1;
select -ne :defaultShaderList1;
	setAttr -s 7 ".s";
select -ne :postProcessList1;
	setAttr -s 2 ".p";
select -ne :defaultRenderUtilityList1;
	setAttr -s 3 ".u";
select -ne :defaultRenderingList1;
select -ne :lightList1;
select -ne :defaultTextureList1;
	setAttr -s 2 ".tx";
select -ne :standardSurface1;
	setAttr ".bc" -type "float3" 0.40000001 0.40000001 0.40000001 ;
	setAttr ".sr" 0.5;
select -ne :initialShadingGroup;
	setAttr ".ro" yes;
select -ne :initialParticleSE;
	setAttr ".ro" yes;
select -ne :defaultRenderGlobals;
	addAttr -ci true -h true -sn "dss" -ln "defaultSurfaceShader" -dt "string";
	setAttr ".ren" -type "string" "arnold";
	setAttr ".dss" -type "string" "standardSurface1";
select -ne :defaultResolution;
	setAttr ".pa" 1;
select -ne :defaultLightSet;
select -ne :defaultColorMgtGlobals;
	setAttr ".cme" no;
	setAttr ".cfe" yes;
	setAttr ".cfp" -type "string" "<MAYA_RESOURCES>/OCIO-configs/Maya-legacy/config.ocio";
	setAttr ".vtn" -type "string" "sRGB gamma (legacy)";
	setAttr ".vn" -type "string" "sRGB gamma";
	setAttr ".dn" -type "string" "legacy";
	setAttr ".wsn" -type "string" "scene-linear Rec 709/sRGB";
	setAttr ".otn" -type "string" "sRGB gamma (legacy)";
	setAttr ".potn" -type "string" "sRGB gamma (legacy)";
select -ne :hardwareRenderGlobals;
	setAttr ".ctrs" 256;
	setAttr ".btrs" 512;
connectAttr ":time1.o" "roommapShape.tm";
relationship "link" ":lightLinker1" ":initialShadingGroup.message" ":defaultLightSet.message";
relationship "link" ":lightLinker1" ":initialParticleSE.message" ":defaultLightSet.message";
relationship "link" ":lightLinker1" "mtlxsurfacematerial1.message" ":defaultLightSet.message";
relationship "link" ":lightLinker1" "mtlxsurfacematerial2.message" ":defaultLightSet.message";
relationship "shadowLink" ":lightLinker1" ":initialShadingGroup.message" ":defaultLightSet.message";
relationship "shadowLink" ":lightLinker1" ":initialParticleSE.message" ":defaultLightSet.message";
relationship "shadowLink" ":lightLinker1" "mtlxsurfacematerial1.message" ":defaultLightSet.message";
relationship "shadowLink" ":lightLinker1" "mtlxsurfacematerial2.message" ":defaultLightSet.message";
connectAttr "layerManager.dli[0]" "defaultLayer.id";
connectAttr "renderLayerManager.rlmi[0]" "defaultRenderLayer.rlid";
connectAttr ":defaultArnoldDisplayDriver.msg" ":defaultArnoldRenderOptions.drivers"
		 -na;
connectAttr ":defaultArnoldFilter.msg" ":defaultArnoldRenderOptions.filt";
connectAttr ":defaultArnoldDriver.msg" ":defaultArnoldRenderOptions.drvr";
connectAttr "basecolor.oc" "mtlxstandard_surface1.bc";
connectAttr ":defaultColorMgtGlobals.cme" "basecolor.cme";
connectAttr ":defaultColorMgtGlobals.cfe" "basecolor.cmcf";
connectAttr ":defaultColorMgtGlobals.cfp" "basecolor.cmcp";
connectAttr ":defaultColorMgtGlobals.wsn" "basecolor.ws";
connectAttr "place2dTexture.o" "basecolor.uv";
connectAttr "place2dTexture.ofs" "basecolor.fs";
connectAttr "place2dTexture.c" "basecolor.c";
connectAttr "place2dTexture.tf" "basecolor.tf";
connectAttr "place2dTexture.rf" "basecolor.rf";
connectAttr "place2dTexture.mu" "basecolor.mu";
connectAttr "place2dTexture.mv" "basecolor.mv";
connectAttr "place2dTexture.s" "basecolor.s";
connectAttr "place2dTexture.wu" "basecolor.wu";
connectAttr "place2dTexture.wv" "basecolor.wv";
connectAttr "place2dTexture.re" "basecolor.re";
connectAttr "place2dTexture.of" "basecolor.of";
connectAttr "place2dTexture.r" "basecolor.ro";
connectAttr "place2dTexture.n" "basecolor.n";
connectAttr "place2dTexture.vt1" "basecolor.vt1";
connectAttr "place2dTexture.vt2" "basecolor.vt2";
connectAttr "place2dTexture.vt3" "basecolor.vt3";
connectAttr "place2dTexture.vc1" "basecolor.vc1";
connectAttr "mtlxstandard_surface1.oc" "mtlxsurfacematerial1.ss";
connectAttr "mtlxsurfacematerial1.msg" "materialInfo1.sg";
connectAttr "mtlxstandard_surface1.msg" "materialInfo1.m";
connectAttr "basecolor.msg" "materialInfo1.t" -na;
connectAttr "basecolor1.oc" "mtlxstandard_surface2.bc";
connectAttr ":defaultColorMgtGlobals.cme" "basecolor1.cme";
connectAttr ":defaultColorMgtGlobals.cfe" "basecolor1.cmcf";
connectAttr ":defaultColorMgtGlobals.cfp" "basecolor1.cmcp";
connectAttr ":defaultColorMgtGlobals.wsn" "basecolor1.ws";
connectAttr "place2dTexture2.o" "basecolor1.uv";
connectAttr "place2dTexture2.ofs" "basecolor1.fs";
connectAttr "place2dTexture2.c" "basecolor1.c";
connectAttr "place2dTexture2.tf" "basecolor1.tf";
connectAttr "place2dTexture2.rf" "basecolor1.rf";
connectAttr "place2dTexture2.mu" "basecolor1.mu";
connectAttr "place2dTexture2.mv" "basecolor1.mv";
connectAttr "place2dTexture2.s" "basecolor1.s";
connectAttr "place2dTexture2.wu" "basecolor1.wu";
connectAttr "place2dTexture2.wv" "basecolor1.wv";
connectAttr "place2dTexture2.re" "basecolor1.re";
connectAttr "place2dTexture2.of" "basecolor1.of";
connectAttr "place2dTexture2.r" "basecolor1.ro";
connectAttr "place2dTexture2.n" "basecolor1.n";
connectAttr "place2dTexture2.vt1" "basecolor1.vt1";
connectAttr "place2dTexture2.vt2" "basecolor1.vt2";
connectAttr "place2dTexture2.vt3" "basecolor1.vt3";
connectAttr "place2dTexture2.vc1" "basecolor1.vc1";
connectAttr "mtlxstandard_surface2.oc" "mtlxsurfacematerial2.ss";
connectAttr "mtlxsurfacematerial2.msg" "materialInfo2.sg";
connectAttr "mtlxstandard_surface2.msg" "materialInfo2.m";
connectAttr "basecolor1.msg" "materialInfo2.t" -na;
connectAttr "mtlxsurfacematerial1.pa" ":renderPartition.st" -na;
connectAttr "mtlxsurfacematerial2.pa" ":renderPartition.st" -na;
connectAttr "mtlxstandard_surface1.msg" ":defaultShaderList1.s" -na;
connectAttr "mtlxstandard_surface2.msg" ":defaultShaderList1.s" -na;
connectAttr "place2dTexture.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "place2dTexture1.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "place2dTexture2.msg" ":defaultRenderUtilityList1.u" -na;
connectAttr "defaultRenderLayer.msg" ":defaultRenderingList1.r" -na;
connectAttr "aiSkyDomeLightShape1.ltd" ":lightList1.l" -na;
connectAttr "basecolor.msg" ":defaultTextureList1.tx" -na;
connectAttr "basecolor1.msg" ":defaultTextureList1.tx" -na;
connectAttr "aiSkyDomeLight1.iog" ":defaultLightSet.dsm" -na;
// End of roommap.ma
